<?php
/**
 * SAML 2.0 IdP configuration for simpleSAMLphp.
 *
 * See: https://rnd.feide.no/content/idp-hosted-metadata-reference
 */
$pathComponents = explode("/", $_SERVER['SCRIPT_NAME']);
$authName = "";
$scopeValue = "";
switch (strtolower($pathComponents[1])) {
  case "glwmulti":
    $authName = "social-gateway";
    $scopeValue = array('google.com','linkedin.com','windowslive.com');
    break;
  case "ficam1":
    $authName = "social-ficam1";
    $scopeValue = array('google.com','verisignlabs.com','paypal.com');
    break;
  case "google":
    $authName = "Google";
    $scopeValue = array('google.com');
    break;
  case "linkedin":
    $authName = "LinkedIn";
    $scopeValue = array('linkedin.com');
    break;
  case "windowslive":
    $authName = "WindowsLive";
    $scopeValue = array('windowslive.com');
    break;
  case "facebook":
    $authName = "Facebook";
    $scopeValue = array('facebook.com');
    break;
  case "twitter":
    $authName = "Twitter";
    $scopeValue = array('twitter.com');
    break;
  case "verisign":
    $authName = "VeriSign";
    $scopeValue = array('verisignlabs.com');
    break;
  case "paypal":
    $authName = "PayPal";
    $scopeValue = array('paypal.com');
    break;
  case "yahoo":
    $authName = "Yahoo";
    $scopeValue = array('yahoo.com');
    break;
  default:
    $authName = "social-gateway";
    $scopeValue = array('google.com','linkedin.com','windowslive.com');
}

$metadata['__DYNAMIC:1__'] = array(
	/*
	 * The hostname of the server (VHOST) that will use this SAML entity.
	 *
	 * Can be '__DEFAULT__', to use this entry by default.
	 */
	'host' => '__DEFAULT__',

	/* X.509 key and certificate. Relative to the cert directory. */
	'privatekey' => 'samlgwtest-saml.key',
	'certificate' => 'samlgwtest-saml.crt',

	/*
	 * Authentication source to use. Must be one that is configured in
	 * 'config/authsources.php'.
	 */
	//'auth' => 'social-gateway',
	'auth' => $authName,
	'scope' => $scopeValue,

	'userid.attribute' => 'uid',
	//'userid.attribute' => 'urn:oid:0.9.2342.19200300.100.1.1',

        'authproc' => array(
                79 => array('class' => 'core:TargetedID','attributename' => 'uid','nameId' => TRUE),
                // Convert LDAP names to oids.
                100 => array('class' => 'core:AttributeMap', 'name2oid'),
	),

	/* Uncomment the following to use the uri NameFormat on attributes. */
	'attributes.NameFormat' => 'urn:oasis:names:tc:SAML:2.0:attrname-format:uri',
	'attributeencodings' => array('urn:oid:1.3.6.1.4.1.5923.1.1.1.10' => 'raw'),      /* eduPersonTargetedID with oid NameFormat. */


);
